A Gentle Introduction to Satellite Image Processing
===================================================

Welcome to this introductory course on `Satellite Image Analysis`!

Satellite imagery has become a primary data source in the natural sciences, economics,
archaeology, sustainability, and many other domains which utilize geospatial intelligence.

Indeed, the wide variety of imagery sources and the vast amounts of data being collected
are now challenging our ability to manage, process, and derive useful insight from this
information.

Motivated by this, the primary objective of the course is to provide a
systematic introduction to computer-based processing of satellite imagery techniques
for enhancing, processing, and extracting spatial information from imagery.

This course emphasizes the practical application of computer-based image processing
(for total beginners) using programming techniques capable of analyzing large quantities
of imagery data.

The tools used include Python/OpenCV and JavaScript/Google Earth Engine.

Learning Outcomes
=================

    1. Understand practical computer programming techniques for processing satellite imagery.
    2. Develop introductory Python-based approaches for object detection and extraction.
    3. Utilize introductory JavaScript for running image processing tasks using cloud computing.

Syllabus
========
<p align="left">
  <img src="/syllabus/format.png", width="800" />
</p>

Acknowledgements
================

This repository is the codebase associated with the satellite image processing class 
supported and delivered by George Mason University (GGS416).

Contributors
============
- Edward Oughton (eoughton [at] gmu.edu)
- Mirza Waleed (mirzawaleed197 [at] gmail.com)
- Bonface Osoro (bosoro [at] gmu.edu)
